{% extends "base.html" %}

{% load staticfiles %}

{% block title %}Genres{% endblock %}

{% block content %}

    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">
                Genres
            </h3>
        </div>

        <div class="box-body">
            <div class="form-group">
                <div class="col-sm-10 col-sm-offset-1">
                    <div class="table-responsive" id="genres_table">
                        <table class="table table-hover text-bold" width="100%">
                            <thead class="bg-green-gradient">
                                <tr>
                                    <td align="center" width="7%">№</td>
                                    <td>Name</td>
                                    <td align="center" width="7%">Edit</td>
                                    <td align="center" width="7%">Delete</td>
                                </tr>
                            </thead>
                            <tbody>
                                {% for genre in genres %}
                                    <tr>
                                        <td align="center">{{ forloop.counter }}</td>
                                        <td>{{ genre.name }}</td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-primary btn-sm edit_modal"
                                                    data-toggle="modal"
                                                    data-genre-id="{{ genre.id }}"
                                                    data-target="#genres_modal">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                        </td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-danger btn-sm delete_genre"
                                                    data-genre-id="{{ genre.id }}">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="box-footer clearfix">
            <div class="col-sm-6 col-sm-offset-5">
                <button type="button" class="btn btn-danger pull-right"
                    data-toggle="modal"
                    data-genre-id="null"
                    data-target="#genres_modal">Add genre
                </button>
            </div>
        </div>
    </div>

    <div id="genres_modal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Genre</h4>
                </div>

                <div class="modal-body">
                    <form class="form-horizontal" id="form_genre"> {% csrf_token %}
                        <div class="form-group" hidden>
                            <label for="genre_id" class="col-sm-3 control-label">ID</label>
                            <div class="col-sm-7" id="genre_id_div">
                                <input id="genre_id" class="form-control" type="text" value="" readonly>
                                <span class="help-block" id="genre_id_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="genre_name" class="col-sm-3 control-label">Genre name</label>
                            <div class="col-sm-7" id="genre_name_div">
                                <input id="genre_name" class="form-control" type="text" value="">
                                <span class="help-block" id="genre_name_help"></span>
                            </div>
                        </div>
                    </form>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-danger pull-left" id="delete_genre">Delete</button>
                    <button type="button" class="btn btn-warning pull-left" id="save_genre">Save</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascript %}
    {{ block.super }}

    <script type="text/javascript" src="{% static 'js/genres.js' %}"></script>
{% endblock %}

